import useSWR from "swr";
import { getQuizData } from "./quizRelase";

export function useQuizData(quizId: string) {
  return useSWR(["quizData", quizId], (params) => getQuizData(params[1]), {
    revalidateOnFocus: false,
    revalidateOnReconnect: false,
    shouldRetryOnError: false,
    refreshInterval: 0,
  });
}
